## node-shiny-server-client 1.0.0%2Bgit20180820.eba5e90%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,mode=git,pretty=1.0.0+git%cd.%h" \
    https://github.com/rstudio/shiny-server-client.git HEAD

## node-shiny-server-client 1.0.0+git20180820.eba5e90+dfsg

=== Makefile ===
JSFILES := $(wildcard lib/*.js lib/decorators/*.js common/*.js)
TESTS = test/*.js
REPORTER = list

all: dist/shiny-server-client.min.js lint

build: dist/shiny-server-client.min.js

dist/shiny-server-client.js: $(JSFILES)
	mkdir -p dist
	./node_modules/.bin/browserify lib/main.js -o dist/shiny-server-client.js -t babelify

dist/shiny-server-client.min.js: dist/shiny-server-client.js
	./node_modules/.bin/uglifyjs < dist/shiny-server-client.js > dist/shiny-server-client.min.js

test:
	./node_modules/.bin/mocha \
		--compilers js:babel-register \
		--reporter $(REPORTER) \
		$(TESTS)

clean:
	rm -f dist/shiny-server-client.js dist/shiny-server-client.min.js

lint:
	./node_modules/.bin/eslint lib
	./node_modules/.bin/eslint -c .eslintrc.es5.js common
	./node_modules/.bin/eslint --env=mocha test

.PHONY: test clean all build lint

=== debian/changelog ===
node-shiny-server-client (1.0.0+git20180820.eba5e90+dfsg-2) unstable; urgency=medium

  * Team Upload.

  [ Andreas Tille ]
  * New upstream version 1.0.0+git20180820.eba5e90+dfsg
  * Fix lintian override

  [ Nilesh ]
  * Fix autopkgtest (fixed debci)
  * Install in /usr/share
  * Enable upstream tests
  * Add upstream/metadata
  * Add "Rules-Requires-Root: no"
  * Drop compat, switch to debhelper-compat
  * check DEB_BUILD_OPTIONS
  * Bump standards version to 4.5.0
  * Fix URLs to https

 -- Nilesh <npatra974@gmail.com>  Mon, 10 Feb 2020 15:40:46 +0530

node-shiny-server-client (1.0.0+git20180820.eba5e90+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #887089)
    Philip Rinn <rinni@inventati.org> asked me to take over this ITP

 -- Andreas Tille <tille@debian.org>  Fri, 21 Sep 2018 10:14:56 +0200

=== debian/control ===
Source: node-shiny-server-client
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-buildinfo,
               mocha,
               chai,
               node-pinkyswear,
               nodejs,
               node-uglify
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/node-shiny-server-client
Vcs-Git: https://salsa.debian.org/science-team/node-shiny-server-client.git
Homepage: https://github.com/rstudio/shiny-server-client
Rules-Requires-Root: no

Package: node-shiny-server-client
Architecture: all
Depends: ${misc:Depends},
         nodejs,
         node-inherits,
         node-pinkyswear
Description: browser library for connecting to Shiny Server
 This Node.js package provides unified client code for Shiny Server, Shiny
 Server Pro, and RStudio Connect. Previously, each server product had its own
 version of this code with slight differences. This package provides the
 superset of functionality needed by the different products, and runtime
 options determine what features to enable.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Makefile is meant for lint'ing the source before committing
override_dh_auto_build:
	uglifyjs < dist/shiny-server-client.js > dist/shiny-server-client.min.js

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mocha -R spec `ls test/*.js|grep -Ev '(sockjs.js)'`
endif

# Only delete dist/shiny-server-client.min.js
override_dh_auto_clean:
	rm -f dist/shiny-server-client.min.js

=== debian/tests/control ===
Tests: require
Depends: node-shiny-server-client

## node-shiny-server-client 1.2.0+dfsg

=== debian/changelog ===
node-shiny-server-client (1.2.0+dfsg-1) unstable; urgency=medium

  * d/watch: Stop using gitmode, pull from upstream tags
  * New upstream version 1.2.0+dfsg
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 27 Mar 2022 17:07:23 +0530

node-shiny-server-client (1.0.0+git20180820.eba5e90+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Update email

  [ Andrius Merkys ]
  * Replacing uglifyjs.terser with terser (Closes: #1001032)
  * Adjusting debian/source/lintian-overrides.

 -- Andrius Merkys <merkys@debian.org>  Fri, 03 Dec 2021 02:56:38 -0500

node-shiny-server-client (1.0.0+git20180820.eba5e90+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Add debian/gbp.conf
  * Use dh-sequence-nodejs auto test & install,
    this enables a real autopkgtest test
  * Enable CI

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 Jan 2021 01:39:20 +0530

node-shiny-server-client (1.0.0+git20180820.eba5e90+dfsg-3) unstable; urgency=medium

  * Use uglifyjs.terser instead of node-uglify
    (Closes: #979910)
  * Add myself to uploaders
  * Mark autopkgtest as superficial (Closes: #974301)
  * Bump debhelper-compat version to 13
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 17 Jan 2021 01:11:51 +0530

=== debian/control ===
Source: node-shiny-server-client
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
Section: javascript
Priority: optional
Build-Depends: chai
 , debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-pinkyswear <!nocheck>
 , terser
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/node-shiny-server-client
Vcs-Git: https://salsa.debian.org/science-team/node-shiny-server-client.git
Homepage: https://github.com/rstudio/shiny-server-client
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-shiny-server-client
Architecture: all
Depends: ${misc:Depends}
 , node-inherits
 , node-pinkyswear
 , nodejs
Description: browser library for connecting to Shiny Server
 This Node.js package provides unified client code for Shiny Server, Shiny
 Server Pro, and RStudio Connect. Previously, each server product had its own
 version of this code with slight differences. This package provides the
 superset of functionality needed by the different products, and runtime
 options determine what features to enable.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/rstudio/shiny-server-client/tags .*/v?([\d\.]+)\.tar\.gz

## node-shiny-server-client 1.2.1+dfsg

=== Makefile ===
JSFILES := $(wildcard lib/*.js lib/decorators/*.js common/*.js)
TESTS = test/*.js
REPORTER = list

all: dist/shiny-server-client.min.js lint

build: dist/shiny-server-client.min.js

dist/shiny-server-client.js: $(JSFILES)
	mkdir -p dist
	npx browserify lib/main.js -o dist/shiny-server-client.js -t babelify

dist/shiny-server-client.min.js: dist/shiny-server-client.js
	npx uglifyjs < dist/shiny-server-client.js > dist/shiny-server-client.min.js

test:
	./node_modules/.bin/mocha \
		--require @babel/register \
		--reporter $(REPORTER) \
		$(TESTS)

clean:
	rm -f dist/shiny-server-client.js dist/shiny-server-client.min.js

lint:
	npx eslint lib
	npx eslint -c .eslintrc.es5.js common
	npx eslint --env=mocha test

.PHONY: test clean all build lint

=== debian/changelog ===
node-shiny-server-client (1.2.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.2.1+dfsg
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Oct 2025 15:45:32 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: node-shiny-server-client
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: javascript
 Priority: optional
 Build-Depends: chai
@@ -9,12 +9,11 @@
  , mocha <!nocheck>
  , node-pinkyswear <!nocheck>
  , terser
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/node-shiny-server-client
 Vcs-Git: https://salsa.debian.org/science-team/node-shiny-server-client.git
 Homepage: https://github.com/rstudio/shiny-server-client
 Testsuite: autopkgtest-pkg-nodejs
-Rules-Requires-Root: no
 
 Package: node-shiny-server-client
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Makefile is meant for lint'ing the source before committing
override_dh_auto_build:
	terser < dist/shiny-server-client.js > dist/shiny-server-client.min.js

# Only delete dist/shiny-server-client.min.js
override_dh_auto_clean:
	rm -f dist/shiny-server-client.min.js

=== debian/tests/control ===
Tests: require
Depends: node-shiny-server-client
Restrictions: superficial
